﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ITHistory
{
    public partial class frmHistory : Form
    {
        string Topic1File = "Intro.rtf"; //rft file used for Topic1
        string Topic2File = "Intro.rtf"; //rft file used for Topic 2
        string Topic3File = "Intro.rtf"; //rft file used for Topic 3
        public frmHistory()
        {
            InitializeComponent();
        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            Reset();
        }

        private void Reset()
        {
            picBox.Image = ITHistory.Properties.Resources.ComputerHistory;
            radBtnTopic1.Text = "Topic 1";
            radBtnTopic2.Text = "Topic 2";
            radBtnTopic3.Text = "Topic 3";
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            rchTxtBxResult.LoadFile("Intro.rtf");
            grpBxFacts.Text = "Computer History";
        }// end Reset

        private void radBtnTopic1_CheckedChanged(object sender, EventArgs e)
        {
            rchTxtBxResult.LoadFile(Topic1File);
        }

        private void radBtnTopic2_CheckedChanged(object sender, EventArgs e)
        {
            rchTxtBxResult.LoadFile(Topic2File);
        }
          
        private void radBtnTopic3_CheckedChanged(object sender, EventArgs e)
        {
            rchTxtBxResult.LoadFile(Topic3File);
        }


        //Student methods       
        void Babbage()
        {
            picBox.Image = ITHistory.Properties.Resources.DifferenceEngine;
            radBtnTopic1.Checked = false;
            radBtnTopic1.Text = "Difference Engine";
            radBtnTopic2.Text = "Development Mistakes";
            radBtnTopic3.Text = "Babbage's Assistant";
            grpBxFacts.Text = "Charles Babbage";
            Topic1File = "DifferenceEngine.rtf";
            Topic2File = "Mistakes.rtf";
            Topic3File = "Assistant.rtf";
        }//end Babbage 

        void Apple()
        {
            picBox.Image = ITHistory.Properties.Resources.applelogo;

            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            radBtnTopic1.Text = "Development of Apple";
            radBtnTopic2.Text = "Inspiration for the Name";
            radBtnTopic3.Text = "Products Offered";

            grpBxFacts.Text = "Apple";

            Topic1File = "DevelopmentOfApple.rtf";
            Topic2File = "InspirationForApple.rtf";
            Topic3File = "ProductsOffered.rtf";

        }//end Apple

        void Neumann()
	{
		//picture box image for picture
		picBox.Image = ITHistory.Properties.Resources.IASComputer;
		
		//topic radio buttons
		radBtnTopic1.Checked = false;
		radBtnTopic2.Checked = false;
		radBtnTopic3.Checked = false;
		
		//text for chosen topics
		radBtnTopic1.Text = "IAS Computer";
		radBtnTopic2.Text = "Merge Sort";
		radBtnTopic3.Text = "Von Neumann Architecture";
		
		//name of the group box for topic
		grpBxFacts.Text = "Jon von Neumann";
		
		//identifiers for file names
		Topic1File = "IASComputer.rtf";
		Topic2File = "MergeSort.rtf";
		Topic3File = "VonNeumannArchitecture.rtf";
		
	}//end Neumann	

        void Pong()
        {
            picBox.Image = ITHistory.Properties.Resources.PONG;

            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            radBtnTopic1.Text = "About the Game";
            radBtnTopic2.Text = "Hardware";
            radBtnTopic3.Text = "Allan Alcorn";

            grpBxFacts.Text = "PONG";

            Topic1File = "AbouttheGame.rtf";
            Topic2File = "Hardware.rtf";
            Topic3File = "AllanAlcorn.rtf";
        }

        void ENIAC()
        {
            //Picture box
            picBox.Image = ITHistory.Properties.Resources.ENIACPic;

            //No buttons pressed 
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            // text for topics 
            radBtnTopic1.Text = "ENIAC?";
            radBtnTopic2.Text = "Size";
            radBtnTopic3.Text = "Fail Safe";

            //Name for group box 
            grpBxFacts.Text = "ENIAC";

            //Identifier for file names
            Topic1File = "ENIACTopicOne.rtf";
            Topic2File = "ENIACTopicTwo.rtf";
            Topic3File = "ENIACTopicThree.rtf";
        }//End of ENIAC

        void StuxNet()
        {
            picBox.Image = ITHistory.Properties.Resources.StuxNet;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            radBtnTopic1.Text = "What is StuxNet?";
            radBtnTopic2.Text = "When was it created?";
            radBtnTopic3.Text = "Making of StuxNet";
            grpBxFacts.Text = "StuxNet";
            Topic1File = "WhatIsStux.rtf";
            Topic2File = "WhenStux.rtf";
            Topic3File = "MakingofStux.rtf";
        }

        void Miscrosoft()
        {
            picBox.Image = ITHistory.Properties.Resources.MicrosoftBuilding;

            //None of topic radio buttons are selected at beginning
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            radBtnTopic1.Text = "Creators";
            radBtnTopic2.Text = "Microsoft Office";
            radBtnTopic3.Text = "Random Facts";

            grpBxFacts.Text = "Microsoft";

            Topic1File = "Creators.rtf";
            Topic2File = "MicrosoftOfficewordexcel.rtf";
            Topic3File = "RandomFacts.rtf";
        }

        void Morris()
        {
            picBox.Image = ITHistory.Properties.Resources.RobertMorris;

            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            radBtnTopic1.Text = "Morris Internet Worm";
            radBtnTopic2.Text = "Viaweb";
            radBtnTopic3.Text = "Y Combinator";

            grpBxFacts.Text = "Robert Morris";

            Topic1File = "MorrisInternetWorm.rtf";
            Topic2File = "Viaweb.rtf";
            Topic3File = "YCombinator.rtf";

        }//End Morris

        void Turing()
        {
            picBox.Image = ITHistory.Properties.Resources.AlanTuring;
            radBtnTopic1.Checked = false;

            //Set the name of the group box 
            grpBxFacts.Text = "Alan Turing";
            radBtnTopic1.Text = "Biography";
            radBtnTopic2.Text = "Bombe";
            radBtnTopic3.Text = "Fellow, Friend and Fiancée";

            //Assign the identifier for the file name 
            Topic1File = "Biography.rtf";
            Topic2File = "Bombe.rtf";
            Topic3File = "JoanClarke.rtf";
        } //end Turing

        void SoftwareFailures()
        {
            picBox.Image = ITHistory.Properties.Resources.SadComputer;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            radBtnTopic1.Text = "Mars Orbiter";
            radBtnTopic2.Text = "NorthEast Blackout";
            radBtnTopic3.Text = "Therac-25";
            grpBxFacts.Text = "Software Failures";
            Topic1File = "MarsOrbiter1999.rtf";
            Topic2File = "NortheastBlackout.rtf";
            Topic3File = "Therac25.rtf";
        }

        void TimBernersLee()

        {
            picBox.Image = ITHistory.Properties.Resources.TimBernersLeePic;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            radBtnTopic1.Text = "Background";
            radBtnTopic2.Text = "World Wide Web";
            radBtnTopic3.Text = "World Wide Web Foundation";
            grpBxFacts.Text = "Tim Berners-Lee";
            Topic1File = "TimBernersBackground.rtf";
            Topic2File = "WorldWideWebTimBerners.rtf";
            Topic3File = "WWWFoundationTimBerners.rtf";
        }

        void MSDOS()
        {

            //Set the picture box image to your chosen image
            picBox.Image = ITHistory.Properties.Resources.MS_DOSImage;

            //Make sure none of the radio buttons are selected at the beginning
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            //Place your text for Topic 1, Topic 2, and Topic 3 for your chosen subject
            radBtnTopic1.Text = "History";
            radBtnTopic2.Text = "Command-Line Interface";
            radBtnTopic3.Text = "End of MS-DOS";

            //Set the name of the group box to your chosen topic
            grpBxFacts.Text = "MS-DOS";

            //Assign the identifier for the file name to your 		 
            Topic1File = "History.rtf";
            Topic2File = "Command-LineInterface.rtf";
            Topic3File = "EndofMS-DOS.rtf";

        }//end MSDOS

        void Hopper()
        {
            picBox.Image = ITHistory.Properties.Resources.GraceHopper;
            radBtnTopic1.Text = "Hopper 1";
            radBtnTopic2.Text = "Hopper 2";
            radBtnTopic3.Text = "Hopper 3";
            //radBtnTemp.Checked = true;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            Topic1File = "WhoIsShe.rtf";
            Topic2File = "GraceHopperCelebration.rtf";
            Topic3File = "COBOL.rtf";
            //rchTxtBxResult.LoadFile("Intro.rtf");
            grpBxFacts.Text = "Grace Hopper";
        }// end Hopper

        void PCs()
        {
            //Set the picture box image to your chosen image
            picBox.Image = ITHistory.Properties.Resources.ComputersEvolution;

            //Make sure none of the topic radio buttons are selected at the beginning
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            // Place your text for Topic 1, Topic 2 and Topic 3 for your chosen subject
            radBtnTopic1.Text = "Z3 Computer";
            radBtnTopic2.Text = "Macbook";
            radBtnTopic3.Text = "Capacity to storage data";

            //Set the name of the group box to your chosen topic
            grpBxFacts.Text = "PCs";

            //Assign the identifier for the file name to your three rtf files
            Topic1File = "Z3Computer.rtf";
            Topic2File = "Macbook.rtf";
            Topic3File = "MistakesPC.rtf";

        }//end PCs

        void Web()
        {
            picBox.Image = ITHistory.Properties.Resources.Web;
            radBtnTopic1.Checked = false;
            radBtnTopic1.Text = "Definition";
            radBtnTopic2.Text = "Critics Received";
            radBtnTopic3.Text = "Elements";
            grpBxFacts.Text = "Web";
            Topic1File = "WebDefinition.rtf";
            Topic2File = "WebCritics.rtf";
            Topic3File = "WebElements.rtf";
        } // end Web 2.0

        void Y2K()
        {
            picBox.Image = ITHistory.Properties.Resources.Y2Kpic;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            grpBxFacts.Text = " Y2K ";
            radBtnTopic1.Text = "Y2K Bug";
            radBtnTopic2.Text = "Risks";
            radBtnTopic3.Text = "Solution";

            Topic1File = "Y2K.rtf";
            Topic2File = "Risks.rtf";
            Topic3File = "Solution.rtf";
        } //end Y2K

        void ARPANET()
        {
            picBox.Image = ITHistory.Properties.Resources.ArpanetPic;

            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;

            radBtnTopic1.Text = "Creation";
            radBtnTopic2.Text = "Growth";
            radBtnTopic3.Text = "Rules";

            grpBxFacts.Text = "ARPANET";

            Topic1File = "Creation.rtf";
            Topic2File = "Growth.rtf";
            Topic3File = "Rules.rtf";
        }

        void Lotus()
        {
            picBox.Image = ITHistory.Properties.Resources.Lotus;
            radBtnTopic1.Checked = false;
            radBtnTopic2.Checked = false;
            radBtnTopic3.Checked = false;
            radBtnTopic1.Text = "Lotus Software";
            radBtnTopic2.Text = "Lotus 1-2-3 Spreadsheet Application";
            radBtnTopic3.Text = "End of the Road";
            grpBxFacts.Text = "Lotus";
            Topic1File = "LotusSoftware.rtf";
            Topic2File = "Lotus123SpreadsheetApplication.rtf";
            Topic3File = "EndoftheRoad.rtf";
        }

        //**************************************
        //**************************************
        // Method calls for each topic -- when radio button is selected
        private void radBtnBabbage_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Babbage();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmHistory_Load(object sender, EventArgs e)
        {
            radBtnTemp.Checked = true;
            Reset();
            
        }

        private void radBtnTemp_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
        }

        private void radBtnApple_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Apple();
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {

            Reset();
            Neumann();
        }

        private void radBtnPong_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Pong();
        }

        private void radBtnENIAC_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            ENIAC();
        }

        private void radBtnStuxnet_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            StuxNet();
        }

        private void radBtnMicrosoft_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Miscrosoft();
        }

        private void radBtnMorris_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Morris();
        }

        private void radBtnTuring_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Turing();
        }

        private void radBtnSoftWareFailures_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            SoftwareFailures();
        }

        private void radBtnTim_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            TimBernersLee();            
        }

        private void radBtnMSDOS_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            MSDOS();
        }

        
        private void radBtnHopper_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Hopper();
        }

        private void radBtnPCs_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            PCs();
        }

        private void radBtnWeb20_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Web();
        }

        private void radBtnY2K_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Y2K();
        }

        private void radBtnARAPANET_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            ARPANET();
        }

        private void radBtnLotus_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            Lotus();
        }
    }
}
